- Qt 6.6
- Qt Sensors
- C++ Classes
- QGyroscope
- Qt 6.6.2 Reference Documentation

# QGyroscope Class

The QGyroscope class is a convenience wrapper around QSensor. More...

Header: | #include <QGyroscope>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Sensors) target_link_libraries(mytarget PRIVATE Qt6::Sensors)
qmake: | QT += sensors
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QGyroscope(QObject *parent = nullptr)
virtual | ~QGyroscope()
QGyroscopeReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QGyroscopeReading instead of a QSensorReading.

For details about how the sensor works, see QGyroscopeReading.

See also QGyroscopeReading.

## Member Function Documentation

### `[explicit]` QGyroscope::QGyroscope(QObject *parent = nullptr)

Construct the sensor as a child of parent.

### `[virtual noexcept]` QGyroscope::~QGyroscope()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QGyroscopeReading *QGyroscope::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().